# Class FileValidationHelper | EchoHub Documentation

# Class FileValidationHelper

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public static class FileValidationHelper

Inheritance
  object
  FileValidationHelper

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### IsValidImage(Stream)

Validates that a stream contains a recognized image format by checking magic bytes. The stream position is reset to the beginning after validation.

    public static bool IsValidImage(Stream stream)

#### Parameters

`stream` Stream

#### Returns

bool